from math import sqrt

def normVecLen(v):
    # normVeclen normalizes the length of a vector
    # normVecLen ignores elements with a value of NoSyn indicating a missing value e.g., synapse
    res = v
    N = len(res)
    NoSyn = -0.001
    sumsq = 0
    for s in range(N):
        if res[s] != NoSyn:
            sumsq += res[s] ** 2
    scale = sqrt(sumsq)
    for s in range(N):
        if res[s] != NoSyn:
            res[s] /= scale
    return res
